/**************************************************
  Global variables
**************************************************/

var w_w = 0;

/**************************************************
  Controllers
**************************************************/

var fb_blocks = {
	blocks_length	: $('li.article').length,
	block_w 			: $('li.article').outerWidth( true ),
	init: function() {
		$('.nodePage .view-content ul').width( this.blocks_length * this.block_w );
	}
};

var fb_navigation = {
	blocks					: $('li.article'),
	prev_el					: $('#prev'),
	next_el					: $('#next'),
	prev_next_el		: $('#prev, #next'),
	container				: $('.nodePage .view-content ul'),
	speed						: 200,
	pos							: 0,
	no_input_focus	: true,
	html_body				: $('html, body'),
	init: function() {
		
		this.prev_el.click(function(e) {
			e.preventDefault();
			if ( fb_navigation.pos === 0 ) {
				return false;
			}
			fb_navigation.pos--;
			fb_navigation.animate();
		});
		
		this.next_el.click(function(e) {
			e.preventDefault();
			
			if ( fb_navigation.pos < fb_navigation.blocks.length ) {
				fb_navigation.pos++;
				fb_navigation.animate();
				fb_grab_some_more.check();
			}
			
		});

	},
	animate: function() {
		this.container.animate({
			'left'	: - (fb_navigation.pos*fb_blocks.block_w)
		}, {
			queue			: false,
			duration	: fb_navigation.speed
		});
	},
	set_pos: function(e) {
		
		this.prev_next_el.css({
			'top'	: e.clientY
		});
		
	},
	scroll_up_down: function(e) {
		e.preventDefault();
		
		if ( e.keyCode === 40 ) {
			this.html_body.animate({
				scrollTop	: $(window).scrollTop() + 200
			}, {
				queue			: false,
				duration	: fb_navigation.speed
			});
		} else {
			this.html_body.animate({
				scrollTop	: $(window).scrollTop() - 200
			}, {
				queue			: false,
				duration	: fb_navigation.speed
			});
		}
		
		
	}
};


var fb_grab_some_more = {
	
	init: function() {
		
		// Do we need to grab some more right away?
		var offset = ($('.nodePage .view-content ul').css('paddingLeft').slice(0, -2)) * 1; // Remove px and convert to number
		var fits = Math.ceil( (w_w-offset) / fb_blocks.block_w );
		
		if ( (fits-1) - (fb_blocks.blocks_length-1) >= 0 ) {
			this.page++;
			this.load();
		}

	},
	check: function() {
		
		var offset = ($('.nodePage .view-content ul').css('paddingLeft').slice(0, -2)) * 1; // Remove px and convert to number
		var fits = Math.ceil( (w_w-offset) / fb_blocks.block_w );
		
		if ( fits + fb_navigation.pos == fb_blocks.blocks_length ) {
			if ( this.total_pages != this.page ) {
				this.page++;
				this.load();
			}
		}
		
	},
};


var fb_background_on_top = {
	offset		: 66,
	block_w		: 358,
	divider_w	: 18,
	init: function() {
		$('.divider').remove();
		var number_of_dividers = Math.ceil((w_w - fb_background_on_top.offset) / fb_background_on_top.block_w);
		var body = $('body');
		for (var i=0; i < number_of_dividers; i++) {
			body.append('<div class="divider" style="left: ' + ((fb_background_on_top.block_w * i) + fb_background_on_top.offset) + 'px;" />');
		};
	}
};


/**************************************************
  Document
**************************************************/

$(function() {
	
	w_w = $(window).width();
	

	fb_blocks.init();
	
	fb_navigation.init();
	if ( $('#total_pages').val() != '0' ) {
		fb_grab_some_more.init();
	}
	
	
	fb_background_on_top.init();
	
}).mousemove(function(e) {
	
	fb_navigation.set_pos(e);
	
}).keydown(function(e) {
	
	if ( fb_navigation.no_input_focus ) {
		switch (e.keyCode) {
			case 37: fb_navigation.prev_el.trigger('click'); break; // Left
			case 39: fb_navigation.next_el.trigger('click'); break; // Right
			case 38: fb_navigation.scroll_up_down(e); break; // Up
			case 40: fb_navigation.scroll_up_down(e); break; // Down
		}
	}
	
});

/**************************************************
  Window
**************************************************/

$(window).resize(function() {
	w_w = $(window).width();
  fb_background_on_top.init();
});