<?php

/**
 * @file
 * Default theme implementation to display a single Drupal page.
 */
?>
<div id="loginBar" class="full">
	<section class="container clearfix">
		<?php if($user->uid): ?>
			<div class="loginBarWrap"></div>
			<aside class="loginBar clearfix">
				<span class="first logout"><?php print l("退出","user/logout",array('attributes' => array('title' => '退出'))); ?></span>	
				<span><?php print $user_picture; ?></span>				
				<span class="last">欢迎:<?php print l($user->name,'user/'.$user->uid); ?>光临<a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><?php print $site_name; ?></a>！</span> 							
			</aside>
 				
		<?php else: ?>
			<div class="loginBarWrap"></div>
			<aside class="loginBar clearfix">				
				<span class="first register"><?php print l("注册","user/register",array('attributes' => array('title' => '注册'))); ?></span>
				<span class="last login"><?php print l("登录","user/login", array('attributes' => array('title' => '登录'))); ?></span>
			</aside>
		<?php endif; ?>
	</section>
</div>

<header id="header" class="full">
  <section class="container clearfix">
    <hgroup>
      <?php if($site_name): ?>
        <h1><a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><?php print $site_name; ?></a></h1>
      <?php endif; ?>
      <?php if($site_slogan): ?>
        <h2><?php print $site_slogan; ?></h2>
      <?php endif;?>
    </hgroup>
		
		<?php if($page['google_ad']): ?>
      <aside class="googleAd">
        <?php print render($page['google_ad']); ?>
      </aside>
    <?php endif; ?> 
  </section>
</header>

<section id="branding" class="full">
  <section class="container clearfix">
    <?php if($page['branding']): ?>
        <?php print render($page['branding']); ?>
    <?php endif; ?> 
	</section> 
</section>

<section id="page" class="full">
  <section class="container clearfix">
    <?php if($page['sidebar_first']): ?>
			<aside class="sidebar siderbarFirst aside" id="left">
				<div class="asideWrap">
					<?php print render($page['sidebar_first']); ?>
				</div>
			</aside>	
		<?php endif; ?>
		
    <section id="mainContent" class="clearfix article">
			<div id="content">
				<?php if($page['content']): ?>
        	<?php print render($page['content']); ?>
      	<?php endif; ?> 
				
				<?php if($page['friend']): ?>
					<section id="friendWrap" class="clearfix">
        		<?php print render($page['friend']); ?>
      		</section>
				<?php endif; ?>
				
				<div class="shopping" style="text-align: center;">
					<a href="http://shop.paipai.com/1606627642" target="_blank"><img src="/sites/default/files/201202/shopping.gif" alt="品牌服饰佰依汇专营店-男装服饰- | 网购-拍拍网" /></a>
				</div>
			</div>
		</section>
		
		<?php if($page['sidebar_second']): ?>
			<aside id="right" class="sidebar sidebarSecond aside">
				<div class="asideWrap">
					<?php print render($page['sidebar_second']); ?>
				</div>
				<div class="asideWrap" style="padding-top: 0;">
					<article class="block block-block sponsorsBlock" id="block-block-10">
						<header><h2>广告赞助</h2></header>
						<div class="view">
							<p><a target="_blank" href="http://s.click.taobao.com/t_8?e=7HZ6jHSTbIOVvWwraYpfpTW3%2BQN7RFKpNbyMH4jkcPPd%2Fg%3D%3D&amp;p=mm_10077642_0_0%20%20"><img src="/sites/default/files/taobao.jpg" alt=""></a></p>
						</div>
					</article>
				</div>
			</aside>
		<?php endif; ?>
  </section>
</section>

<footer id="footer" class="full">
	<section class="container clearfix">
	  <?php if($page['footer']): ?>
		  <?php print render($page['footer']); ?>
	  <?php endif; ?>	
	</section>	
</footer>	
<!--
<a style="top: 393px;" href="#" class="navBtn ir" id="prev">Load previous</a>
<a style="top: 393px;" href="#" class="navBtn ir" id="next">Load next</a>		

<script type="text/javascript" src="<?php print file_create_url(drupal_get_path('theme', 'w3cplus') .'/js/nodepage.js')?>"></script>
<script type="text/javascript" src="<?php print file_create_url(drupal_get_path('theme', 'w3cplus') .'/js/script.js')?>"></script>
-->