<?php

/**
 * @file
 * Default theme implementation to display a single Drupal page.
 */
?>
<div id="loginBar" class="full">
	<section class="container clearfix">
		<?php if($user->uid): ?>
			<div class="loginBarWrap"></div>
			<aside class="loginBar clearfix">
				<span class="first logout"><?php print l("退出","user/logout",array('attributes' => array('title' => '退出'))); ?></span>	
				<span><?php print $user_picture; ?></span>				
				<span class="last">欢迎:<?php print l($user->name,'user/'.$user->uid); ?>光临<a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><?php print $site_name; ?></a>！</span> 							
			</aside>
 				
		<?php else: ?>
			<div class="loginBarWrap"></div>
			<aside class="loginBar clearfix">				
				<span class="first register"><?php print l("注册","user/register",array('attributes' => array('title' => '注册'))); ?></span>
				<span class="last login"><?php print l("登录","user/login", array('attributes' => array('title' => '登录'))); ?></span>
			</aside>
		<?php endif; ?>
	</section>
</div>

<header id="header" class="full">
  <section class="container clearfix">
    <hgroup>
      <?php if($site_name): ?>
        <h1><a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><?php print $site_name; ?></a></h1>
      <?php endif; ?>
      <?php if($site_slogan): ?>
        <h2><?php print $site_slogan; ?></h2>
      <?php endif;?>
    </hgroup>
		
		<?php if($page['google_ad']): ?>
      <aside class="googleAd">
        <?php print render($page['google_ad']); ?>
      </aside>
    <?php endif; ?> 
  </section>
</header>

<section id="branding" class="full">
  <section class="container clearfix">
    <?php if($page['branding']): ?>
        <?php print render($page['branding']); ?>
    <?php endif; ?> 
	</section> 
</section>

<section id="page" class="full">
  <section class="container clearfix">
    <?php if($page['sidebar_first']): ?>
			<aside class="sidebar aside siderbarFirst" id="left">
				<div class="asideWrap">
					<?php print render($page['sidebar_first']); ?>
				</div>
			</aside>	
		<?php endif; ?>
		
    <article id="mainContent" class="clearfix article">
			<div id="content">
      	<?php print render($title_prefix); ?>
				<?php if($title): ?><h1 class="pageTitle"><?php print $title; ?></h1><?php endif; ?>
				<?php print render($title_suffix); ?>
			
				<?php if($tabs = render($tabs)): ?>
					<nav class="tabs">
						<?php print $tabs; ?>
					</nav>	
				<?php endif; ?>
			
				<?php if($messages): ?>
				<article id="message" class="clearfix">
					<?php print $messages; ?>
				</article>
				<?php endif; ?>
				
				<?php if($page['help']): ?>
					<article id="help" class="clearfix">
						<?php print render($page['help']); ?>
					</article>
				<?php endif; ?>
					
				<?php if ($action_links): ?>
					 <nav class="actionLinks clearfix">
						 <?php print render($action_links); ?>
					 </nav>
				<?php endif; ?>
			
				<?php if($page['content']): ?>
	      	<?php print render($page['content']); ?>
	      <?php endif; ?>
			</div>
    </article>
    
    <?php if($page['sidebar_second']): ?>
			<aside id="right" class="sidebar sidebarSecond aside">
				<div class="asideWrap">
					<?php print render($page['sidebar_second']); ?>
				</div>
			</aside>
		<?php endif; ?>
		
  </section>
</section>

<footer id="footer" class="full">
	<section class="container clearfix">
	  <?php if($page['footer']): ?>
		  <?php print render($page['footer']); ?>
	  <?php endif; ?>	
	</section>	
</footer>	

<script type="text/javascript" src="<?php print file_create_url(drupal_get_path('theme', 'w3cplus') .'/js/slideToggle.js')?>"></script>
		

